Skip to main content
GET
/
knowledge
/
search
Error
A valid request URL is required to generate request examples
{
  "query": "<string>",
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "<string>",
      "path": "<string>",
      "title": "<string>",
      "entry_type": "<string>",
      "tags": [
        "<string>"
      ],
      "score": 123,
      "headline": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123,
  "search_type": "fts",
  "score_type": "ts_rank"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string
required

Search query

Minimum string length: 1
agent_id
string

Optional agent ID to scope search

Response

Search results

query
string
results
object[]
count
integer
search_type
string
Example:

"fts"

score_type
string
Example:

"ts_rank"